Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Ubuntu Local Security Checks >> USN240-1 : bogofilter vulnerability


Vulnerability Assessment Details

USN240-1 : bogofilter vulnerability

Vulnerability Assessment Summary
bogofilter vulnerability

Detailed Explanation for this Vulnerability Assessment

Summary :

These remote packages are missing security patches :
- bogofilter
- bogofilter-bdb
- bogofilter-common


Description :

A buffer overflow was found in bogofilter's character set conversion
handling. Certain invalid UTF-8 character sequences caused an invalid
memory access. By sending a specially crafted email, a remote attacker
could exploit this to crash bogofilter or possibly even execute
arbitrary code with bogofilter's rights.

Solution :

Upgrade to :
- bogofilter-0.95.2-1ubuntu1.1 (Ubuntu 5.10)
- bogofilter-bdb-0.95.2-1ubuntu1.1 (Ubuntu 5.10)
- bogofilter-common-0.95.2-1ubuntu1.1 (Ubuntu 5.10)



Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: Ubuntu Security Notice (C) 2005 Canonical, Inc. / NASL script (C) 2005 Michel Arboi

Cables, Connectors

00AM209, System board for IBM Lenovo x3650 M4 Server
$499.0
00AM209, System board for IBM Lenovo x3650 M4 Server picture00D2888, System board for IBM Lenovo x3650 M4 Server
$499.0
00D2888, System board for IBM Lenovo x3650 M4 Server pictureELSA Gloria Synergy-8 ViVo PCI VGA card from IBM Server
$27.93
ELSA Gloria Synergy-8 ViVo PCI VGA card from IBM Server pictureIBM Pci-X Board/Systemboard for IBM x3850 Server - 44W3216
$19.24
IBM Pci-X Board/Systemboard for IBM x3850 Server - 44W3216 picture


Discussions

No Discussions have been posted on this vulnerability.